%define anolis_release 4
%global modname Module-Load-Conditional
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Module::Load|Module::Metadata|version)\\)$

Name:           perl-%{modname}
Version:        0.74
Release:        %{anolis_release}%{?dist}
Summary:        Looking up module information / loading at run-time
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/modules/by-module/Module/%{modname}-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(Carp) perl(Config) perl(Exporter) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec) perl(FileHandle) perl(FindBin) perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::CoreList) >= 2.22 perl(Module::Load) >= 0.28
BuildRequires:  perl(Module::Metadata) >= 1.000005 perl(Params::Check) perl(Test::More)
BuildRequires:  perl(constant) perl(lib) perl(strict) perl(vars) perl(version) >= 0.69 perl(warnings)

Requires:       perl(Config) perl(Module::CoreList) >= 2.22 perl(Module::Load) >= 0.28
Requires:       perl(Module::Metadata) >= 1.000005 perl(version) >= 0.69

BuildArch:      noarch

%description
Module::Load::Conditional allows you to query the state of modules on your system.
It can tell you if you have certain modules installed without attempting
to C<use> them and can do smart loading of modules. Also it can tell you what
*other* modules a certain module requires.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load::Conditional.3*

%files doc
%doc README CHANGES

%changelog
* Fri Apr 14 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.74-4
- Refactor the specfile

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.74-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.74-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.74-1
- Init from upstream version 0.74

